package cn.com.poc.agent_application.query;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;

import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for AgentApplicationInfoQuery
 */
@Entity
public class AgentApplicationInfoQueryItem extends BaseItemClass implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     * id
     */
    private java.lang.Integer id;

    @Column(name = "id")
    public java.lang.Integer getId() {
        return this.id;
    }

    public void setId(java.lang.Integer id) {
        this.id = id;
    }

    /**
     * member_id
     * member_id
     */
    private java.lang.Integer memberId;

    @Column(name = "member_id")
    public java.lang.Integer getMemberId() {
        return this.memberId;
    }

    public void setMemberId(java.lang.Integer memberId) {
        this.memberId = memberId;
    }

    /**
     * agent_id
     * agent_id
     */
    private java.lang.String agentId;

    @Column(name = "agent_id")
    public java.lang.String getAgentId() {
        return this.agentId;
    }

    public void setAgentId(java.lang.String agentId) {
        this.agentId = agentId;
    }

    /**
     * agent_avatar
     * agent_avatar
     */
    private java.lang.String agentAvatar;

    @Column(name = "agent_avatar")
    public java.lang.String getAgentAvatar() {
        return this.agentAvatar;
    }

    public void setAgentAvatar(java.lang.String agentAvatar) {
        this.agentAvatar = agentAvatar;
    }

    /**
     * agent_title
     * agent_title
     */
    private java.lang.String agentTitle;

    @Column(name = "agent_title")
    public java.lang.String getAgentTitle() {
        return this.agentTitle;
    }

    public void setAgentTitle(java.lang.String agentTitle) {
        this.agentTitle = agentTitle;
    }

    /**
     * agent_desc
     * agent_desc
     */
    private java.lang.String agentDesc;

    @Column(name = "agent_desc")
    public java.lang.String getAgentDesc() {
        return this.agentDesc;
    }

    public void setAgentDesc(java.lang.String agentDesc) {
        this.agentDesc = agentDesc;
    }

    /**
     * agent_system
     * agent_system
     */
    private java.lang.String agentSystem;

    @Column(name = "agent_system")
    public java.lang.String getAgentSystem() {
        return this.agentSystem;
    }

    public void setAgentSystem(java.lang.String agentSystem) {
        this.agentSystem = agentSystem;
    }

    /**
     * agent_publish_status
     * agent_publish_status
     */
    private java.lang.String agentPublishStatus;

    @Column(name = "agent_publish_status")
    public java.lang.String getAgentPublishStatus() {
        return this.agentPublishStatus;
    }

    public void setAgentPublishStatus(java.lang.String agentPublishStatus) {
        this.agentPublishStatus = agentPublishStatus;
    }

    /**
     * publish_time
     * 发布时间
     */
    private java.util.Date publishTime;

    @Column(name = "publish_time")
    public java.util.Date getPublishTime() {
        return this.publishTime;
    }

    public void setPublishTime(java.util.Date publishTime) {
        this.publishTime = publishTime;
    }

    /**
     * preamble
     * preamble
     */
    private java.lang.String preamble;

    @Column(name = "preamble")
    public java.lang.String getPreamble() {
        return this.preamble;
    }

    public void setPreamble(java.lang.String preamble) {
        this.preamble = preamble;
    }

    /**
     * featured_questions
     * featured_questions
     */
    private java.lang.String featuredQuestions;

    @Column(name = "featured_questions")
    public java.lang.String getFeaturedQuestions() {
        return this.featuredQuestions;
    }

    public void setFeaturedQuestions(java.lang.String featuredQuestions) {
        this.featuredQuestions = featuredQuestions;
    }

    /**
     * communication_turn
     * communication_turn
     */
    private java.lang.Integer communicationTurn;

    @Column(name = "communication_turn")
    public java.lang.Integer getCommunicationTurn() {
        return this.communicationTurn;
    }

    public void setCommunicationTurn(java.lang.Integer communicationTurn) {
        this.communicationTurn = communicationTurn;
    }

    /**
     * continuous_question_status
     * continuous_question_status
     */
    private java.lang.String continuousQuestionStatus;

    @Column(name = "continuous_question_status")
    public java.lang.String getContinuousQuestionStatus() {
        return this.continuousQuestionStatus;
    }

    public void setContinuousQuestionStatus(java.lang.String continuousQuestionStatus) {
        this.continuousQuestionStatus = continuousQuestionStatus;
    }

    /**
     * continuous_question_system
     * continuous_question_system
     */
    private java.lang.String continuousQuestionSystem;

    @Column(name = "continuous_question_system")
    public java.lang.String getContinuousQuestionSystem() {
        return this.continuousQuestionSystem;
    }

    public void setContinuousQuestionSystem(java.lang.String continuousQuestionSystem) {
        this.continuousQuestionSystem = continuousQuestionSystem;
    }

    /**
     * continuous_question_turn
     * continuous_question_turn
     */
    private java.lang.Integer continuousQuestionTurn;

    @Column(name = "continuous_question_turn")
    public java.lang.Integer getContinuousQuestionTurn() {
        return this.continuousQuestionTurn;
    }

    public void setContinuousQuestionTurn(java.lang.Integer continuousQuestionTurn) {
        this.continuousQuestionTurn = continuousQuestionTurn;
    }

    /**
     * knowledge_ids
     * knowledge_ids
     */
    private java.lang.String knowledgeIds;

    @Column(name = "knowledge_ids")
    public java.lang.String getKnowledgeIds() {
        return this.knowledgeIds;
    }

    public void setKnowledgeIds(java.lang.String knowledgeIds) {
        this.knowledgeIds = knowledgeIds;
    }

    /**
     * knowledge_search_type
     * 知识库检索方式
     * 1、混合检索  - MIX
     * 2、语义检索  - SEMANTIC
     * 3. 关键词检索 - KEY_WORD
     */
    private java.lang.String knowledgeSearchType;

    @Column(name = "knowledge_search_type")
    public String getKnowledgeSearchType() {
        return knowledgeSearchType;
    }

    public void setKnowledgeSearchType(String knowledgeSearchType) {
        this.knowledgeSearchType = knowledgeSearchType;
    }


    /**
     * knowledge_similarity
     * 知识库相似度阈值
     */
    private Double knowledgeSimilarity;

    @Column(name = "knowledge_similarity")
    public Double getKnowledgeSimilarity() {
        return knowledgeSimilarity;
    }

    public void setKnowledgeSimilarity(Double knowledgeSimilarity) {
        this.knowledgeSimilarity = knowledgeSimilarity;
    }

    /**
     * knowledge_n_result
     * 知识库检索结果数量
     */
    private Integer knowledgeNResult;

    @Column(name = "knowledge_n_result")
    public Integer getKnowledgeNResult() {
        return knowledgeNResult;
    }

    public void setKnowledgeNResult(Integer knowledgeNResult) {
        this.knowledgeNResult = knowledgeNResult;
    }

    /**
     * knowledge_response_type
     * 知识库回复类型
     */
    private String knowledgeResponseType;

    @Column(name = "knowledge_response_type")
    public String getKnowledgeResponseType() {
        return knowledgeResponseType;
    }

    public void setKnowledgeResponseType(String knowledgeResponseType) {
        this.knowledgeResponseType = knowledgeResponseType;
    }

    /**
     * knowledge_custom_response
     * 知识库自定义回复
     */
    private String knowledgeCustomResponse;

    @Column(name = "knowledge_custom_response")
    public String getKnowledgeCustomResponse() {
        return knowledgeCustomResponse;
    }

    public void setKnowledgeCustomResponse(String knowledgeCustomResponse) {
        this.knowledgeCustomResponse = knowledgeCustomResponse;
    }

    /**
     * large_model
     * large_model
     */
    private java.lang.String largeModel;

    @Column(name = "large_model")
    public java.lang.String getLargeModel() {
        return this.largeModel;
    }

    public void setLargeModel(java.lang.String largeModel) {
        this.largeModel = largeModel;
    }

    /**
     * top_p
     * top_p
     */
    private java.lang.Float topP;

    @Column(name = "top_p")
    public java.lang.Float getTopP() {
        return this.topP;
    }

    public void setTopP(java.lang.Float topP) {
        this.topP = topP;
    }


    /**
     * temperature
     * 对话模型 温度 [0-1.00]
     */
    private java.lang.Float temperature;

    @Column(name = "temperature")
    public java.lang.Float getTemperature() {
        return this.temperature;
    }

    public void setTemperature(java.lang.Float temperature) {
        this.temperature = temperature;
    }


    /**
     * unit_ids
     * unit_ids
     */
    private java.lang.String unitIds;

    @Column(name = "unit_ids")
    public java.lang.String getUnitIds() {
        return this.unitIds;
    }

    public void setUnitIds(java.lang.String unitIds) {
        this.unitIds = unitIds;
    }


    /**
     * variable_structure
     * 变量结构
     */
    private java.lang.String variableStructure;

    @Column(name = "variable_structure")
    public java.lang.String getVariableStructure() {
        return this.variableStructure;
    }

    public void setVariableStructure(java.lang.String variableStructure) {
        this.variableStructure = variableStructure;
    }

    /**
     * is_long_memory
     * 是否开启长期记忆 1、Y 是 2、N 否
     */
    private java.lang.String isLongMemory;

    @Column(name = "is_long_memory", length = 1)
    public java.lang.String getIsLongMemory() {
        return this.isLongMemory;
    }

    public void setIsLongMemory(java.lang.String isLongMemory) {
        this.isLongMemory = isLongMemory;
    }


    /**
     * is_document_parsing
     * 是否开启文档解析 1、Y 是 2、N 否
     */
    private java.lang.String isDocumentParsing;

    @Column(name = "is_document_parsing", length = 1)
    public java.lang.String getIsDocumentParsing() {
        return this.isDocumentParsing;
    }

    public void setIsDocumentParsing(java.lang.String isDocumentParsing) {
        this.isDocumentParsing = isDocumentParsing;
    }

    /**
     * voice_config
     */
    private java.lang.String voiceConfig;

    @Column(name = "voice_config")
    public java.lang.String getVoiceConfig() {
        return this.voiceConfig;
    }

    public void setVoiceConfig(java.lang.String voiceConfig) {
        this.voiceConfig = voiceConfig;
    }

    /**
     * is_deleted
     * is_deleted
     */
    private java.lang.String isDeleted;

    @Column(name = "is_deleted")
    public java.lang.String getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(java.lang.String isDeleted) {
        this.isDeleted = isDeleted;
    }

    /**
     * CREATOR
     * CREATOR
     */
    private java.lang.String creator;

    @Column(name = "CREATOR")
    public java.lang.String getCreator() {
        return this.creator;
    }

    public void setCreator(java.lang.String creator) {
        this.creator = creator;
    }

    /**
     * CREATED_TIME
     * CREATED_TIME
     */
    private java.util.Date createdTime;

    @Column(name = "CREATED_TIME")
    public java.util.Date getCreatedTime() {
        return this.createdTime;
    }

    public void setCreatedTime(java.util.Date createdTime) {
        this.createdTime = createdTime;
    }

    /**
     * MODIFIER
     * MODIFIER
     */
    private java.lang.String modifier;

    @Column(name = "MODIFIER")
    public java.lang.String getModifier() {
        return this.modifier;
    }

    public void setModifier(java.lang.String modifier) {
        this.modifier = modifier;
    }

    /**
     * MODIFIED_TIME
     * MODIFIED_TIME
     */
    private java.util.Date modifiedTime;

    @Column(name = "MODIFIED_TIME")
    public java.util.Date getModifiedTime() {
        return this.modifiedTime;
    }

    public void setModifiedTime(java.util.Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }

    /**
     * SYS_VERSION
     * SYS_VERSION
     */
    private java.lang.Integer sysVersion;

    @Column(name = "SYS_VERSION")
    public java.lang.Integer getSysVersion() {
        return this.sysVersion;
    }

    public void setSysVersion(java.lang.Integer sysVersion) {
        this.sysVersion = sysVersion;
    }

} 